%define name	sim
%define version	0.8.1
%define release	0.2mdk

Name:		%name
Summary:	A QT/KDE ICQ instant messaging client
Version:	%version
Release:	%release
Source:		%{name}-%{version}.tar.bz2
License:	GPL
Group:		Networking/Instant messaging
Url:		http://sim-icq.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libqt3 > 3.0.4, kdelibs > 3.0
BuildRequires:	libqt3-devel > 3.0.4, kdelibs-devel > 3.0
BuildRequires:  autoconf2.5, automake1.6
BuildRequires:	libfam-devel

%description
Sim is a QT icq client with enhanced features and special support for KDE2/3. 
The icq v8 protocol (2001) is supported.

Features:
- receiving and sending SMS
- server-side contact list
- receiving and the sending messages in RTF-format
- phone directory support 
- file transfers
- chat
- user search
- non-ICQ contacts
- support Miranda icon themes
- Floating
- Spam filter
- user encoding
- secure direct connection with SIM and Licq
- message or chat mode for user window
- On-Screen display notification about messages and user status
- keyboard shortcuts
- Message forwarding
- Sending of the messages to several users 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build

WANT_AUTOCONF_2_5=1 gmake -f admin/Makefile.common

# my libtool doesn't know --tag. where did that came from ?
perl -pi -e 's/^(CXXLINK.*?)\s*--tag=CXX/$1/' sim/Makefile.in

%configure --disable-rpath
%make

%install
%makeinstall
mv %buildroot/usr/bin/%{_target_cpu}-mandrake-linux-gnu-sim %buildroot/usr/bin/sim

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.png" section="Networking/Instant messaging" \
title="SIM" longtitle="Simple Instant Messenger."
EOF

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/sim
%{_datadir}/applnk/Internet/sim.desktop
%{_datadir}/apps/%name
%{_iconsdir}/hicolor/*/*/*
%{_iconsdir}/locolor/*/*/*
%doc ChangeLog README
%{_menudir}/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Mon Nov 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1-0.2mdk
- don't hardcore arch in binary name

* Fri Nov 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-0.1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new cvs snapshot (20021121), because 0.8 does not compile with qt3.1
	- rebuild with qt 3.1

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- 0.8 final

* Sun Oct 06 2002 Matthias Debus <psic4t@netbands.de> 0.8-0.6mdk
- Spec file cleanup
- First contrib package

* Mon Sep 22 2002 Oded Arbel <oded@geek.co.il> 0.8-0.5mdk
- New CVS version
- new numbering scheme, assuming that this is not 0.8 but a pre
  release (not very clear)

* Mon Sep 22 2002 Oded Arbel <oded@geek.co.il> 0.8-4mdk
- New CVS version

* Thu Sep 12 2002 Oded Arbel <oded@geek.co.il> 0.8-3mdk
- New CVS version

* Thu Sep  9 2002 Oded Arbel <oded@geek.co.il> 0.8-2mdk
- Make menu entry work (stolen from GAIM)

* Thu Sep  9 2002 Oded Arbel <oded@geek.co.il> 0.8-1mdk
- release 0.8
- Added menu entry

* Thu Aug 25 2002 Oded Arbel <oded@geek.co.il> 0.7-1mdk
- release 0.7

* Thu Aug 24 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020824mdk
- New CVS snapshot

* Thu Aug 23 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020823mdk
- New CVS snapshot

* Thu Aug 20 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020820mdk
- New CVS snapshot

* Thu Aug 15 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020815mdk
- First Mandrake 9 package for SIM by me
